﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Example
{
	public partial class MainPage : UserControl
	{
		// NOTE: To compile this example you need to add a proper reference to the "arial.ttf" or other TrueType font file and set its "Build Action" to "Embedded Resource".
		// Also change the path of the EmbeddedResource below to reflect the actual embedded font name.

		private static EmbeddedResource Arial = new EmbeddedResource("Siberix.arial.ttf");

		public MainPage()
		{
			InitializeComponent();
		}

		private void btn1_Click(object sender, RoutedEventArgs e)
		{
			SaveFileDialog sfd = new SaveFileDialog();

			sfd.Filter = "PDF Files (.pdf)|*.pdf";
			sfd.FilterIndex = 1;
			sfd.DefaultExt = "*.pdf";

			bool? result = sfd.ShowDialog();

			if ((result != null) && (result == true))
			{
				Stream stream = sfd.OpenFile();

				// Document
				Siberix.Sparkle.PDF.Document document = new Siberix.Sparkle.PDF.Document();

				// Info
				document.Info.Title = "Example";
				document.Info.Author = "Siberix Technologies, Canada";
				document.Info.Creator = "Siberix PDF Sparkle for Silverlight";

				// Page
				Siberix.Sparkle.PDF.IPage page = document.AddPage(612, 792);

				page.Graphics.Font = new Siberix.Sparkle.Graphics.Font(Arial.Stream, 75);
				page.Graphics.Brush = Siberix.Sparkle.Graphics.Brushes.DarkBlue;

				page.Graphics.DrawString(125, 150, "Hello PDF");
	
				page.Graphics.Flush();

				// Publish
				document.Generate(stream);

				stream.Close();
			}
		}
	}
}